import { HttpService } from '@nestjs/axios';
import { InsertWithSuperTableResponse } from '../interfaces/response/insert/insert-with-super-table.response.interface';
import { InsertResponse } from '../interfaces/response/insert/insert.response.interface';
import { JSValueType } from '../types';
import { IricUtil } from '../utils/iric.util';
export declare class TDengineInsertService {
    private readonly httpService;
    private readonly iricUtil;
    constructor(httpService: HttpService, iricUtil: IricUtil);
    insert(database: string, table: string, values: JSValueType[], ts?: Date): Promise<InsertResponse>;
    insertWithSuperTable(database: string, stable: string, table: string, tags: JSValueType[], values: JSValueType[], ts?: Date): Promise<InsertWithSuperTableResponse>;
}
