import { DynamicModule } from '@nestjs/common';
import { TDengineModuleOptions, TDengineModuleAsyncOptions } from './interfaces/options.interface';
export declare class TDengineModule {
    /**
     * 同步方式配置
     * @param options 配置信息
     * @returns 动态模块
     */
    static forRoot(options: TDengineModuleOptions): DynamicModule;
    /**
     * 异步方式配置
     * @param options 配置信息
     * @returns 动态模块
     */
    static forRootAsync(options: TDengineModuleAsyncOptions): DynamicModule;
}
