"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var TDengineModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.TDengineModule = void 0;
const common_1 = require("@nestjs/common");
const tdengine_core_module_1 = require("./tdengine-core.module");
let TDengineModule = TDengineModule_1 = class TDengineModule {
    /**
     * 同步方式配置
     * @param options 配置信息
     * @returns 动态模块
     */
    static forRoot(options) {
        return {
            module: TDengineModule_1,
            imports: [tdengine_core_module_1.TDengineCoreModule.forRoot(options)]
        };
    }
    /**
     * 异步方式配置
     * @param options 配置信息
     * @returns 动态模块
     */
    static forRootAsync(options) {
        return {
            module: TDengineModule_1,
            imports: [tdengine_core_module_1.TDengineCoreModule.forRootAsync(options)]
        };
    }
};
TDengineModule = TDengineModule_1 = __decorate([
    common_1.Module({})
], TDengineModule);
exports.TDengineModule = TDengineModule;
