import { TDengineColumnType } from '../constants/tdengine.constant';
export declare class FormatUtil {
    /**
     * 下划线转小驼峰
     * @param raw 下划线格式
     */
    underlineToSmallHump(raw: string): string;
    /**
     * 小驼峰转下划线
     * @param raw 小驼峰格式
     */
    smallHumpToUnderline(raw: string): string;
    /**
     * 获取数据值（按照类型转换为Typescript/Javascript的数据类型）
     * @param value 原始值
     * @param type 数据类型
     * @returns 转换后的数据值
     */
    getValue(value: string | number, type: TDengineColumnType): string | number | Date | boolean;
}
